﻿:root {
  --horizonBlue: #036fa1;
  --horizonRed: #ea2743;
  --horizonYellow: #fcb530;
  --horizonGreen: #00a96c;
  --errorBorderColor: #666666;
  --errorBackgroundColor: #DC0000;
  --errorTextColor: #DC0000;
  --errorColor: #333333;
  --minWidth: 330px;
  --maxWidth: 1500px;
  --grayColor: #E6E6E6;
}

@font-face {
  font-family: 'neue_kabel';
  src: url('fonts/neue_kabel.otf') format('opentype');
}

@font-face {
  font-family: 'nimbussans';
  font-weight: 1 1000;
  src: url('fonts/nimbussanl-reg.otf') format('opentype');
}

@font-face {
  font-family: 'nimbussans';
  font-weight: 700 1000;
  src: url('fonts/nimbussanl-bol.otf') format('opentype');
}


html {
  /*always include space for scrollbar to limit layout shifts*/
  scrollbar-gutter: stable;
  accent-color: hsl(from var(--horizonYellow, hsl(0 0 75%)) h s l /.5);
}

html, body {
  margin: 0;
  padding: 0;
  font-family: 'neue_kabel', Arial, Helvetica, sans-serif;
}

.alternateFont {
  font-family: 'nimbussans', Arial, Helvetica, sans-serif;
}

body {
  display: flex;
  flex-direction: column;
  gap: .25em;
  justify-content: stretch;
  align-items: stretch;
  height: 100svh;
  background-image: url(../Images/RightGrassBar.png);
  background-position: top right;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

input, select {
  font-family: Arial;
}

header, nav:not([aria-label]), main, footer {
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: auto;
  width: clamp(var(--minWidth), 95%, var(--maxWidth));
  margin: 0 auto;
  padding: .25em 1em;
  box-sizing: border-box;
}

header {
  display: grid;
  grid-template-columns: min-content 1fr calc(538px * 0.5);
  gap: 0.2em;
  align-items: flex-end;
  justify-content: space-between;
}

header section {
  padding: 3px;
}

header img {
  margin: auto;
}

.contentBox {
  width: clamp(350px, 80%, 600px);
}

.contentBoxWider {
  width: clamp(350px, 95%, 800px);
}

nav.mainNav {
  display: flex;
  /*items to left*/
  justify-content: flex-start;
  /*items align at top*/
  align-items: flex-start;
  gap: .5em;
  padding-block: 5px;
  border-top: 5px solid var(--horizonRed, #333333);
}

.spacer {
  width: 100%;
  display: block;
}

nav.mainNav .navSeparator {
}

nav.mainNav :is(a, span) {
  color: black;
  text-decoration: none;
  margin: 0 .25em;
  padding: 0 .25em;
  font-size: .8rem;
  border-bottom: 3px solid transparent;
}

nav a.active {
  border-bottom-color: var(--horizonGreen, hsl(0 0 35%));
}

#logout {
  margin-left: auto;
  margin-right: 0.5em;
}

main {
  flex-grow: 1;
}

footer {
  text-align: center;
  background-color: var(--grayColor, #E6E6E6);
  font-size: .8rem;
  margin-top: 2.5rem;
}

footer p {
  margin: .25em auto;
}

.pwChange {
  margin: 0 auto;
  margin-bottom: .5em;
}

.pwChange label {
  font-weight: bold;
  text-align: center;
  display: block;
  min-width: 150px;
  margin: 0 auto;
  font-size: 1.1em;
}

.pwChange label.sameLine {
  display: inline-block;
  text-align: right;
  width: auto;
  min-width: unset;
}

.pwChange input[type=text], .pwChange input[type=password] {
  display: inline-block;
  min-width: 150px;
  font-size: 1.1em;
}

.pwChange input[type=submit] {
  font-size: 1.1em;
  font-weight: bold;
}

.pwChange .input-validation-error {
  outline-color: var(--errorBorderColor, #C9C9C9);
  background-color: var(--errorBackgroundColor, #C9C9C9);
}

.pwChange .field-validation-valid, .pwChange .field-validation-error {
  padding: 0.2em;
  grid-column: 1/ span 2;
  display: inherit;
  margin: .25em;
}

.field-validation-error {
  color: var(--errorTextColor,red);
  background-color: white;
}

.errorHandling {
  margin: 1em auto;
  padding: .5em;
  background-color: var(--errorBackgroundColor, #000000);
  border: 3px solid var(--errorBorderColor, #000000);
  box-shadow: 0 0 3px 3px var(--errorBorderColor, #000000);
  border-radius: 3px;
  text-align: center;
  width: clamp(250px, 85%, 900px);
}

.errorHandling h1 {
  margin: 0 auto;
}

.styledBtn {
  margin: 1em;
  padding: .5em;
  background-color: var(--horizonGreen, #000000);
  border: 3px solid var(--horizonGreen, #000000);
  box-shadow: 0 0 3px 3px var(--horizonGreen, #000000);
  border-radius: 3px;
  color: white;
  text-decoration: none;
  box-sizing: border-box;
  display: inline-block;
  font-size: 1em;
  cursor: pointer;
}

.feedback:has(*) {
  margin: 0 auto;
  text-align: center;
  border-radius: 15px;
  border: 2px solid var(--horizonYellow, #999999);
  background-color: #ffffff;
  color: #000000;
  width: clamp(var(--minWidth),50%,var(--maxWidth));
}

.feedback p {
  margin: 1em auto;
}

.mandatory {
  margin: 0 auto;
  padding: 0.5em;
  text-align: center;
  border-radius: .25em;
  border: 2px solid var(--horizonYellow, #ffffff);
  background-color: hsl(from var(--horizonYellow, #ffffff) h s l / .75);
  color: #000000;
  font-weight: bold;
  font-size: 1.1em;
  width: 50%;
  box-sizing: border-box;
}

.validation-summary-errors {
  margin: 0 auto;
  text-align: left;
  border-radius: 15px;
  border: 2px solid var(--errorBorderColor, #000000);
  background-color: var(--errorBackgroundColor, #CC0000);
  color: var(--errorColor, #000000);
}

.success {
  font-weight: bold;
}

.instructions {
  font-size: 1em;
  font-style: italic;
  margin: .5em auto 1em;
}

.webForm {
  text-align: center;
  margin: 1em auto;
  border-radius: .25em;
  border: 2px solid var(--horizonYellow, #999999);
  background-color: #ffffff;
  color: #000000;
  width: 50%;
  box-sizing: border-box;
}

dialog {
  padding: 0.5em;
  background-color: var(--grayColor, #E6E6E6);
  text-align: center;
  border-radius: 5px;
  border: 1px solid var(--horizonYellow, hsl(0 0 25%));
  box-shadow: 0 0 4px 8px hsl(from var(--horizonYellow, hsl(0 0 25%)) h s l);
}

dialog::backdrop {
  background-color: hsl(from var(--grayColor, hsl(0 0 25%)) h s l /.75);
}

a {
  color: inherit;
}

a:hover, a:focus-visible {
  color: inherit;
  outline: 1px solid; /* When a color for outline is not specified, the outline color matches the text color. This helps with the profile and logout links since the outline blended into the background before.*/
}

.centerText {
  text-align: center;
}

.centered {
  margin-inline: auto;
}

.nopadding {
  padding: 0;
}

.nomargin {
  margin: 0;
}

.mainColorHeader {
  color: var(--mainColor, #000000);
}

.largest {
  font-size: 1.5rem;
}

.smaller {
  font-size: 0.8rem;
}

.smallest {
  font-size: 0.6rem;
}

.padded {
  padding: 0.25em 0.5em;
}

.profileFeedback {
  text-align: center;
  font-weight: bold;
  background-color: var(--secondaryColor, #C9C9C9);
  padding: .5em;
}

section.profile {
  margin: 0;
  margin-bottom: 0.5em;
  padding: 0;
}

section.profile.row {
  padding: 0;
}



.editorActions {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.banner {
  width: 100%;
  max-width: 1000px;
  display: block;
  margin-inline: auto;
}

.awardsAirlineMessage {
  border: 1px solid #CC3333;
  color: #CC3333;
  margin: 0 auto;
  margin-bottom: 1em;
  padding: .5em;
}


.PaxEdit section {
  display: grid;
  grid-template-columns: 125px 1fr 125px 1fr;
}

.PaxEdit section.fullwidth {
  grid-template-columns: 1fr;
}

.PaxEdit input[type=email] {
  grid-column-start: span 3;
}

#frmTerms {
  margin: 0 auto;
  text-align: center;
}

.pointsCell {
  color: var(--statementColor, white);
  font-size: 2.6rem;
  vertical-align: top;
}

.blueBox {
  background-color: var(--horizonBlue, hsl(0 0 25%));
  color: white;
}

.blueText {
  color: var(--horizonBlue, hsl(0 0 25%));
}

.boldText {
  font-weight: 700; /*bold keyword = 700 */
}

.largerText {
  font-size: 1.38rem;
}

.greenButton {
  background-color: var(--horizonGreen, hsl(0 0 25%));
  color: white;
  border: 2px solid transparent;
  outline: none;
  padding: .25em .5em;
  text-decoration: none;
  cursor: pointer;
  display: inline-block;
  margin-block: .25em 1em;
  margin-inline: auto;
}

.greenButton:hover, .greenButton:focus-visible {
  border-color: white;
  outline: 1px solid var(--horizonBlue, hsl(0 0 75%));
}

.rounded {
  border-radius: 10px;
}

.allCaps {
  text-transform: uppercase;
}

#pageImage {
  position: absolute;
  top: 0;
  right: 0;
  z-index: -5;
}

#topRight {
  position: absolute;
  top: 15px;
  right: 15px;
  z-index: 500;
  text-align: right;
  background-color: hsl(0 0 50% /.5);
}

#topRight * {
  vertical-align: middle;
  color: white;
}

#topRight a {
  text-decoration: none;
  display: block;
  margin: .15em .25em;
  padding: .15em;
}

#topRight img {
  margin-inline-end: .25em;
}
